Debian セキュリティ勧告

DSA-480-1 linux-kernel-2.4.17+2.4.18-hppa -- 複数の欠陥

報告日時:
2004-04-14
影響を受けるパッケージ:
kernel-image-2.4.17-hppa kernel-image-2.4.18-hppa
危険性:
あり
参考セキュリティデータベース:
(SecurityFocus の) Bugtraq データベース: BugTraq ID 10152.
Mitre の CVE 辞書: CVE-2004-0003, CVE-2004-0010, CVE-2004-0109, CVE-2004-0177, CVE-2004-0178.
詳細:

複数の深刻な欠陥が Linux カーネルに発見されました。この修正は、 hppa (PA-RISC) アーキテクチャの Linux 2.4.17 と 2.4.18 に対するものです。 The Common Vulnerabilities and Exposures project で確認されている以下の欠陥が、今回のアップデートで修正されています。

  • CAN-2004-0003

    R128 DRI ドライバに欠陥があり、 攻撃者が不正に権限を昇格させることが可能です。 Alan Cox さんと Thomas Biege さんがこの問題の修正を作成しました。

  • CAN-2004-0010

    Arjan van de Ven さんにより、Linux カーネルの ncpfs の ncp_lookup 関数にスタック回りのバッファオーバフローが発見されました。 この欠陥により攻撃者が不正に権限を昇格させることが可能です。 Petr Vandrovec さんがこの欠陥の修正を作成しました。

  • CAN-2004-0109

    zen-parse さんにより、Linux カーネルの ISO9660 ファイルシステムにバッファオーバフローが発見されました。 この欠陥により攻撃者が不正に root 権限を得ることが可能です。 Sebastian Krahmer さんと Ernie Petrides さんがこの欠陥の修正を作成しました。

  • CAN-2004-0177

    Solar Designer さんにより、Linux の ext3 コードに情報の漏洩箇所が発見されました。最悪の場合、攻撃者は、 他の方法ではディスクから読み出せない暗号鍵などの重要なデータを 読み出すことが可能です。Theodore Ts'o さんがこの欠陥の修正を作成しました。

  • CAN-2004-0178

    Andreas Kies さんにより、Linux の Sound Blaster ドライバにサービス不能 (DoS) 攻撃欠陥が発見されました。 彼により修正も行われました。

これらの問題は、上流の Linux 2.4.26 で修正されました。Linux 2.6.6 でも修正の予定です。

安定版 (stable) ディストリビューション (woody) では、この問題は Linux 2.4.17 のバージョン 32.4 と、Linux 2.4.18 のバージョン 62.3 で修正されています。

不安定版 (unstable) ディストリビューション (sid) では、 この問題は近く修正予定です。

Debian 提供のカーネルパッケージであるか、 ご自分でコンパイルされたものかにかかわらず、 直ちにカーネルパッケージを更新することをお勧めします。

CAN-2004-0109 の 脆弱性の一覧表

修正:

Debian GNU/Linux 3.0 (woody)

ソース:
http://security.debian.org/pool/updates/main/k/kernel-image-2.4.17-hppa/kernel-image-2.4.17-hppa_32.4.dsc
http://security.debian.org/pool/updates/main/k/kernel-image-2.4.17-hppa/kernel-image-2.4.17-hppa_32.4.tar.gz
http://security.debian.org/pool/updates/main/k/kernel-image-2.4.18-hppa/kernel-image-2.4.18-hppa_62.3.dsc
http://security.debian.org/pool/updates/main/k/kernel-image-2.4.18-hppa/kernel-image-2.4.18-hppa_62.3.tar.gz
アーキテクチャ非依存コンポーネント:
http://security.debian.org/pool/updates/main/k/kernel-image-2.4.17-hppa/kernel-source-2.4.17-hppa_32.4_all.deb
http://security.debian.org/pool/updates/main/k/kernel-image-2.4.18-hppa/kernel-source-2.4.18-hppa_62.3_all.deb
HPPA:
http://security.debian.org/pool/updates/main/k/kernel-image-2.4.17-hppa/kernel-headers-2.4.17-hppa_32.4_hppa.deb
http://security.debian.org/pool/updates/main/k/kernel-image-2.4.17-hppa/kernel-image-2.4.17-32_32.4_hppa.deb
http://security.debian.org/pool/updates/main/k/kernel-image-2.4.17-hppa/kernel-image-2.4.17-32-smp_32.4_hppa.deb
http://security.debian.org/pool/updates/main/k/kernel-image-2.4.17-hppa/kernel-image-2.4.17-64_32.4_hppa.deb
http://security.debian.org/pool/updates/main/k/kernel-image-2.4.17-hppa/kernel-image-2.4.17-64-smp_32.4_hppa.deb
http://security.debian.org/pool/updates/main/k/kernel-image-2.4.18-hppa/kernel-headers-2.4.18-hppa_62.3_hppa.deb
http://security.debian.org/pool/updates/main/k/kernel-image-2.4.18-hppa/kernel-image-2.4.18-32_62.3_hppa.deb
http://security.debian.org/pool/updates/main/k/kernel-image-2.4.18-hppa/kernel-image-2.4.18-32-smp_62.3_hppa.deb
http://security.debian.org/pool/updates/main/k/kernel-image-2.4.18-hppa/kernel-image-2.4.18-64_62.3_hppa.deb
http://security.debian.org/pool/updates/main/k/kernel-image-2.4.18-hppa/kernel-image-2.4.18-64-smp_62.3_hppa.deb

一覧にあるファイルの MD5 チェックサムは勧告の原文にあります。